"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ObjectDefinitionWrapper = exports.InputObjectDefinitionWrapper = exports.InputFieldWrapper = exports.FieldWrapper = exports.EnumWrapper = exports.TransformerNestedStack = exports.MappingTemplate = exports.getAppSyncServiceExtraDirectives = exports.RDS_SCHEMA_FILE_NAME = exports.MYSQL_DB_TYPE = exports.ImportedRDSType = exports.DDB_DB_TYPE = exports.StackManager = exports.TransformerResolver = exports.TransformerAuthBase = exports.TransformerPluginBase = exports.TransformerModelEnhancerBase = exports.TransformerModelBase = exports.APICategory = exports.JSONUtilities = exports.readRDSGlobalAmplifyInput = exports.IAM_UNAUTH_ROLE_PARAMETER = exports.IAM_AUTH_ROLE_PARAMETER = exports.DirectiveWrapper = exports.collectDirectivesByTypeNames = exports.collectDirectives = exports.getRDSDBConfigFromAmplifyInput = exports.getParameterStoreSecretPath = exports.getSortKeyFieldNames = exports.getKeySchema = exports.getTable = exports.generateGetArgumentsInput = exports.constructRDSGlobalAmplifyInput = exports.constructDefaultGlobalAmplifyInput = exports.ConflictHandlerType = exports.validateModelSchema = exports.SyncUtils = exports.GraphQLTransform = void 0;
const graphql_1 = require("graphql");
const validation_1 = require("./transformation/validation");
var transformation_1 = require("./transformation");
Object.defineProperty(exports, "GraphQLTransform", { enumerable: true, get: function () { return transformation_1.GraphQLTransform; } });
Object.defineProperty(exports, "SyncUtils", { enumerable: true, get: function () { return transformation_1.SyncUtils; } });
var validation_2 = require("./transformation/validation");
Object.defineProperty(exports, "validateModelSchema", { enumerable: true, get: function () { return validation_2.validateModelSchema; } });
var index_1 = require("./config/index");
Object.defineProperty(exports, "ConflictHandlerType", { enumerable: true, get: function () { return index_1.ConflictHandlerType; } });
var utils_1 = require("./utils");
Object.defineProperty(exports, "constructDefaultGlobalAmplifyInput", { enumerable: true, get: function () { return utils_1.constructDefaultGlobalAmplifyInput; } });
Object.defineProperty(exports, "constructRDSGlobalAmplifyInput", { enumerable: true, get: function () { return utils_1.constructRDSGlobalAmplifyInput; } });
Object.defineProperty(exports, "generateGetArgumentsInput", { enumerable: true, get: function () { return utils_1.generateGetArgumentsInput; } });
Object.defineProperty(exports, "getTable", { enumerable: true, get: function () { return utils_1.getTable; } });
Object.defineProperty(exports, "getKeySchema", { enumerable: true, get: function () { return utils_1.getKeySchema; } });
Object.defineProperty(exports, "getSortKeyFieldNames", { enumerable: true, get: function () { return utils_1.getSortKeyFieldNames; } });
Object.defineProperty(exports, "getParameterStoreSecretPath", { enumerable: true, get: function () { return utils_1.getParameterStoreSecretPath; } });
Object.defineProperty(exports, "getRDSDBConfigFromAmplifyInput", { enumerable: true, get: function () { return utils_1.getRDSDBConfigFromAmplifyInput; } });
Object.defineProperty(exports, "collectDirectives", { enumerable: true, get: function () { return utils_1.collectDirectives; } });
Object.defineProperty(exports, "collectDirectivesByTypeNames", { enumerable: true, get: function () { return utils_1.collectDirectivesByTypeNames; } });
Object.defineProperty(exports, "DirectiveWrapper", { enumerable: true, get: function () { return utils_1.DirectiveWrapper; } });
Object.defineProperty(exports, "IAM_AUTH_ROLE_PARAMETER", { enumerable: true, get: function () { return utils_1.IAM_AUTH_ROLE_PARAMETER; } });
Object.defineProperty(exports, "IAM_UNAUTH_ROLE_PARAMETER", { enumerable: true, get: function () { return utils_1.IAM_UNAUTH_ROLE_PARAMETER; } });
Object.defineProperty(exports, "readRDSGlobalAmplifyInput", { enumerable: true, get: function () { return utils_1.readRDSGlobalAmplifyInput; } });
Object.defineProperty(exports, "JSONUtilities", { enumerable: true, get: function () { return utils_1.JSONUtilities; } });
Object.defineProperty(exports, "APICategory", { enumerable: true, get: function () { return utils_1.APICategory; } });
__exportStar(require("./utils/operation-names"), exports);
__exportStar(require("./errors"), exports);
var transformer_plugin_base_1 = require("./transformation/transformer-plugin-base");
Object.defineProperty(exports, "TransformerModelBase", { enumerable: true, get: function () { return transformer_plugin_base_1.TransformerModelBase; } });
Object.defineProperty(exports, "TransformerModelEnhancerBase", { enumerable: true, get: function () { return transformer_plugin_base_1.TransformerModelEnhancerBase; } });
Object.defineProperty(exports, "TransformerPluginBase", { enumerable: true, get: function () { return transformer_plugin_base_1.TransformerPluginBase; } });
Object.defineProperty(exports, "TransformerAuthBase", { enumerable: true, get: function () { return transformer_plugin_base_1.TransformerAuthBase; } });
var transformer_context_1 = require("./transformer-context");
Object.defineProperty(exports, "TransformerResolver", { enumerable: true, get: function () { return transformer_context_1.TransformerResolver; } });
Object.defineProperty(exports, "StackManager", { enumerable: true, get: function () { return transformer_context_1.StackManager; } });
var types_1 = require("./types");
Object.defineProperty(exports, "DDB_DB_TYPE", { enumerable: true, get: function () { return types_1.DDB_DB_TYPE; } });
Object.defineProperty(exports, "ImportedRDSType", { enumerable: true, get: function () { return types_1.ImportedRDSType; } });
Object.defineProperty(exports, "MYSQL_DB_TYPE", { enumerable: true, get: function () { return types_1.MYSQL_DB_TYPE; } });
Object.defineProperty(exports, "RDS_SCHEMA_FILE_NAME", { enumerable: true, get: function () { return types_1.RDS_SCHEMA_FILE_NAME; } });
const getAppSyncServiceExtraDirectives = () => {
    return (0, graphql_1.print)(validation_1.EXTRA_DIRECTIVES_DOCUMENT);
};
exports.getAppSyncServiceExtraDirectives = getAppSyncServiceExtraDirectives;
var cdk_compat_1 = require("./cdk-compat");
Object.defineProperty(exports, "MappingTemplate", { enumerable: true, get: function () { return cdk_compat_1.MappingTemplate; } });
Object.defineProperty(exports, "TransformerNestedStack", { enumerable: true, get: function () { return cdk_compat_1.TransformerNestedStack; } });
var object_definition_wrapper_1 = require("./wrappers/object-definition-wrapper");
Object.defineProperty(exports, "EnumWrapper", { enumerable: true, get: function () { return object_definition_wrapper_1.EnumWrapper; } });
Object.defineProperty(exports, "FieldWrapper", { enumerable: true, get: function () { return object_definition_wrapper_1.FieldWrapper; } });
Object.defineProperty(exports, "InputFieldWrapper", { enumerable: true, get: function () { return object_definition_wrapper_1.InputFieldWrapper; } });
Object.defineProperty(exports, "InputObjectDefinitionWrapper", { enumerable: true, get: function () { return object_definition_wrapper_1.InputObjectDefinitionWrapper; } });
Object.defineProperty(exports, "ObjectDefinitionWrapper", { enumerable: true, get: function () { return object_definition_wrapper_1.ObjectDefinitionWrapper; } });
//# sourceMappingURL=index.js.map